


SAVEFS(8)                                               SAVEFS(8)


NNAAMMEE
       savefs - save filesystem to a NetWorker server

SSYYNNOOPPSSIISS
       ssaavveeffss [ _o_p_t_i_o_n_s ] _f_i_l_e_s_y_s_t_e_m
       ssaavveeffss --pp [ _o_p_t_i_o_n_s ]
            [ _f_i_l_e_s_y_s_t_e_m ...  ] [ --MM _f_i_l_e_s_y_s_t_e_m ...  ]

       _o_p_t_i_o_n_s: [ --BBEEFFnnppqqRRvv ] [ --ss _s_e_r_v_e_r ] [ --NN _n_a_m_e ] [ --gg
                _g_r_o_u_p ] [ --ll _l_e_v_e_l | --CC _s_c_h_e_d_u_l_e ] [ --ee
                _e_x_p_i_r_a_t_i_o_n ] [ --ff _f_i_l_e_n_a_m_e ] [ --WW _w_i_d_t_h ] [ --tt
                _d_a_t_e ] [ --TT _s_e_c_o_n_d_s ]

DDEESSCCRRIIPPTTIIOONN
       The ssaavveeffss command will save a filesystem (using  ssaavvee(8))
       to  a NetWorker server.  Mount points are not crossed, and
       symbolic links are not  followed.   NNOOTTEE:  running  ssaavveeffss
       directly is not recommended; use ssaavveeggrrpp(8) instead.

       A  _l_e_v_e_l-based system (similar to dduummpp(8)) is used to save
       only those files which have been modified since some  pre-
       vious save (a _p_a_r_t_i_a_l save).

       The nnssrr__sscchheedduullee(5) for the local NetWorker client will be
       examined to determine the proper level  of  save  for  the
       current date.

       The  set  of  files that actually get saved will depend on
       when, and at what level, previous  saves  have  been  per-
       formed,  in  addition to the effects of the default direc-
       tives (see nnssrr__ddiirreeccttiivvee(5)), and  the  various  directive
       files  (see nnssrr(5)) which are encountered while processing
       the filesystem.

FFIILLEESSYYSSTTEEMM PPRROOBBEESS
       The ssaavveeffss command may also be used to probe a client  for
       its  filesystems  and  recent  save  times.  When probing,
       ssaavveeffss does not actually save data, but instead produces a
       machine-parsable  report  describing  the  layout  of  the
       client's filesystems.  When used with the --pp probe option,
       the  local NetWorker client's nnssrr__cclliieenntt(5) resources will
       be examined, and the filesystems listed in  the  _s_a_v_e  _s_e_t
       attribute  will be probed (if no filesystems are listed on
       the command line).  If the save set list consists  of  the
       keyword  _A_l_l,  then  the  //eettcc//ffssttaabb  file (//eettcc//vvffssttaabb on
       Solaris, //eettcc//mmnnttttaabb on SCO, and a kernel  table  on  AIX)
       will  be examined to determine which filesystems should be
       saved, making sure to save only  local,  mounted  filesys-
       tems.

       Note  that  metadevices  within  the  Sun  Solaris  Online
       DiskSuite and Logical Volumes  within  the  HP-UX  Logical
       Volume  Manager  will  be  treated  similar to independent
       disks.  This approach allows each to be saved in  its  own



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        1





SAVEFS(8)                                               SAVEFS(8)


       session, assuming sufficient parallelism.

       Care  should be taken when the NNSSRR cclliieenntt resource explic-
       itly lists the save sets, for two primary reasons.  First,
       this  list  must  be manually updated when new filesystems
       are added which need saving.  Second,  since  ssaavveeffss  only
       stops  at  the end of a path or a mount point, if you list
       two save sets in the same filesystem, and one is a  subdi-
       rectory  of  the  other,  the  subdirectory  will be saved
       twice.

       _F_i_l_e_s_y_s_t_e_m  arguments  can  be  specified  to  limit   the
       filesystem  saves  to only those specified, but the speci-
       fied filesystems must appear on some  SSaavvee  SSeett  list  for
       this client (see the --FF option).

OOPPTTIIOONNSS
       --BB     Force  save of all connecting directory information
              from root (``/'') down to the point of  invocation.
              This  option  is  used  by ssaavveeggrrpp(8), for example,
              when saving the server's bootstrap information.

       --CC _s_c_h_e_d_u_l_e
              The name of the schedule (see  nnssrr__sscchheedduullee(5))  to
              use  when automatically determining the save level.
              If this option is not specified,  ssaavveeffss  will  use
              the  schedule  named by the NSR client resource for
              the specified filesystem.

       --ee _e_x_p_i_r_a_t_i_o_n
              Sets the date (in nnssrr__ggeettddaattee(3) format)  when  the
              saved  data  will  expire.  By default, no explicit
              expiration date is used.

       --EE     Estimate.   Before  saving  any  data,   walk   the
              filesystem  trees  to be saved and accurately esti-
              mate the amount of data which  will  be  generated.
              Without this flag, the estimate size is zero.  Note
              that this flag will consume an amount of time  pro-
              portional  to  the number of files in each filesys-
              tem.  This  is  because  the  entire  directory  is
              walked  before  any  saving begins and walked again
              when actually saving the directory,  but  the  file
              data  is only read from the disk the last time.  In
              many cases, the overhead for  using  this  flag  is
              small and is well-justified.

       --ff _f_i_l_e_n_a_m_e
              The  file  from  which application specific modules
              (or  ASMs)  should  take  their   directives   (see
              nnssrr(5)).   By default, these are taken from the NNSSRR
              ddiirreeccttiivvee resource named by the _d_i_r_e_c_t_i_v_e attribute
              in  the  NNSSRR  cclliieenntt  resource for each client (see
              nnssrr__ddiirreeccttiivvee(5)).



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        2





SAVEFS(8)                                               SAVEFS(8)


       --FF     Force.  Save every argument like a filesystem, even
              if   they   are   not   listed   in   ffssttaabb((55))  nor
              nnssrr__cclliieenntt((55))..

       --MM     As part of a probe, signifies that  all  subsequent
              filesystems  should  be probed for their ability to
              be migrated.  This option  is  quietly  ignored  on
              systems that do not support file migration.

       --gg _g_r_o_u_p
              Restrict  the  scope  of the client to a particular
              group.  If this option is not specified, save  sets
              from  all  instances of the NSR client resource for
              this client will be used, regardless of the  group.
              This value is also passed on to ssaavvee(8), which uses
              it to select a specific media pool.

       --ll _l_e_v_e_l
              The level of save to perform.  There are 12 levels:
              ffuullll,  levels  11  though  99,  iinnccrr, and sskkiipp.  FFuullll
              specifies that all files are to be  saved.   It  is
              analogous to a level 0 dump in dduummpp(8).  IInnccrr spec-
              ifies incremental saves in which only  those  files
              that have been modified since the most recent save,
              at any level, are saved.  This level has  no  exact
              analogue  in  dduummpp(8)  since  the  last save at any
              level, including previous  incremental  saves,  are
              considered  when  determining  what  to save.  SSkkiipp
              causes no files to be saved.  The levels 11 though 99
              cause  all  files to be saved which have been modi-
              fied since any _l_o_w_e_r level save was performed.   As
              an  example,  if you did a full on Monday, followed
              by a level 3 save on Tuesday, a subsequent level  3
              save  on Wednesday would contain all files modified
              or added since the Monday full save.   By  default,
              the save level is determined automatically from the
              NetWorker client's schedule (see  nnssrr__sscchheedduullee(5)).
              By  using  the history of previous saves maintained
              by nnssrrmmmmdd(8) on the NetWorker  server,  the  needed
              time for the given level can correctly be computed.
              By using media information  on  the  server,  times
              computed for saves which are based on previous save
              levels will automatically be adjusted  as  required
              when tapes are deleted.

       --nn     No  save.   Accurately  estimate the amount of data
              which would be generated (as described for --EE_,  but
              don't actually save any data.

       --NN _n_a_m_e
              The  symbolic name this set of saves is to be known
              by.  By default, the first _f_i_l_e_s_y_s_t_e_m  argument  is
              used as the name.




NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        3





SAVEFS(8)                                               SAVEFS(8)


       --pp     List the name of the filesystems, the level of save
              that would be performed, and the time  since  which
              files  must  have  been  modified  to be saved, but
              don't actually do the save.   This  information  is
              gleaned  from the //eettcc//ffssttaabb file (or another oper-
              ating system specific file, as described above) and
              the nnssrr__sscchheedduullee(5).

       --qq     Quiet.   Display only summary information and error
              messages.

       --qqqq    Really quiet.  Display only error messages.

       --RR     Cause ssaavveeffss to report on its success  or  failure,
              by echoing a simple "succeeded" or "failed" message
              as its last act.  This is used by  ssaavveeggrrpp(8)  when
              it is running ssaavveeffss.

       --ss _s_e_r_v_e_r
              Specify  which  machine  to  use  as  the NetWorker
              server.  See nnssrr((88))  for  the  algorithm  NetWorker
              uses to choose a server when none is specified.

       --tt _d_a_t_e
              The  date  (in nnssrr__ggeettddaattee(3) format) from which to
              base schedule level calculations.   If  not  speci-
              fied, the current time is used.

       --TT _s_e_c_o_n_d_s
              This  specifies  the ``inactivity timeout'' in sec-
              onds.  If ssaavveeffss detects that  the  (local)  server
              has made no progress in the specified time, then it
              concludes that the ssaavvee command is hung.  A message
              is  printed  to  stderr  and ssaavveeffss exits normally.
              This option should only be used on NetWorker server
              machines.

       --vv     Verbose.   Cause  lots  of  debugging style output.
              This option is also used by ssaavveeggrrpp(8) when  it  is
              probing   for  the  capabilities  of  the  client's
              ssaavveeffss, for supporting multiple versions.

       --WW _w_i_d_t_h
              The width used when formatting output or  notifica-
              tion messages.  By default, this is 80.

RREESSOOUURRCCEE TTYYPPEESS
       NNSSRR cclliieenntt
              These resources specify the client's save sets, and
              the default schedule and  directives  to  use  when
              saving them.

       NNSSRR ddiirreeccttiivvee
              A  resource  of this type is named by the _d_i_r_e_c_t_i_v_e



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        4





SAVEFS(8)                                               SAVEFS(8)


              attribute in each NNSSRR cclliieenntt resource.   These  are
              the  directives used for the save sets specified in
              the associated NNSSRR cclliieenntt resource.

       NNSSRR sscchheedduullee
              A resource of this type is named  by  the  _s_c_h_e_d_u_l_e
              attribute in each NNSSRR cclliieenntt resource.  This is the
              schedule used for the save sets  specified  in  the
              associated NNSSRR cclliieenntt resource.

FFIILLEESS
       //eettcc//ffssttaabb
              If AAllll is specified in the _s_a_v_e _s_e_t attribute for a
              NNSSRR  cclliieenntt  resource,  then  the  list  of   local
              filesystems is taken from this file.

       //eettcc//vvffssttaabb
              Solaris  only.   The  same  as  /etc/fstab on other
              operating systems.

       //eettcc//mmnnttttaabb
              SCO only.  The same as /etc/fstab on other  operat-
              ing systems.

SSEEEE AALLSSOO
       nnssrr__ggeettddaattee(3), ffssttaabb(5), mmnnttttaabb(F) (SCO only), vvffssttaabb(5)
       (Solaris only), nnssrr(5), nnssrr__sseerrvviiccee(5), nnssrr__sscchheedduullee(5),
       dduummpp(8), nnssrr(8), nnssrrdd(8), nnssrriinnddeexxdd(8), nnssrrmmmmdd(8),
       rreeccoovveerr(8), ssaavvee(8), ssaavveeggrrpp(8).

DDIIAAGGNNOOSSTTIICCSS
   EExxiitt CCooddeess
        00     Normal exit.

       225555    Abnormal exit.






















NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        5


